CustomEntityDirtinessStrategy.DirtyCheckContext (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Interface CustomEntityDirtinessStrategy.DirtyCheckContext

Enclosing interface:
  CustomEntityDirtinessStrategy

    public static interface CustomEntityDirtinessStrategy.DirtyCheckContext

A callback to drive dirty checking. Handed to the `CustomEntityDirtinessStrategy.findDirty(java.lang.Object, org.hibernate.persister.entity.EntityPersister, org.hibernate.Session, org.hibernate.CustomEntityDirtinessStrategy.DirtyCheckContext)` method so that it can callback on to it if it wants to handle dirty checking rather than using Hibernate's default checking

See Also:
  `CustomEntityDirtinessStrategy.findDirty(java.lang.Object, org.hibernate.persister.entity.EntityPersister, org.hibernate.Session, org.hibernate.CustomEntityDirtinessStrategy.DirtyCheckContext)`

Method Summary
`void` | `doDirtyChecking(CustomEntityDirtinessStrategy.AttributeChecker attributeChecker)` The callback to indicate that dirty checking (the dirty attribute determination phase) should be handled by the calling `CustomEntityDirtinessStrategy` using the given `CustomEntityDirtinessStrategy.AttributeChecker`

Method Detail

### doDirtyChecking

    void doDirtyChecking(CustomEntityDirtinessStrategy.AttributeChecker attributeChecker)

  The callback to indicate that dirty checking (the dirty attribute determination phase) should be handled by the calling `CustomEntityDirtinessStrategy` using the given `CustomEntityDirtinessStrategy.AttributeChecker`

  Parameters:
    `attributeChecker` - The delegate usable by the context for determining which attributes are dirty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.